org.apache.tapestry5.internal.services

## Class PageNameComponentEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.PageNameComponentEventResultProcessor

- All Implemented Interfaces:
    ComponentEventResultProcessor<String>

      public class PageNameComponentEventResultProcessor
      extends Object
      implements ComponentEventResultProcessor<String>

  Used when a component event handler returns a string value. The value is interpreted as the logical name of a page. A link to the page will be sent as a redirect.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageNameComponentEventResultProcessor(LinkSource linkSource, ComponentEventResultProcessor primary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processResultValue(String value)` For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageNameComponentEventResultProcessor

          public PageNameComponentEventResultProcessor(LinkSource linkSource,
                                                       @Traditional @Primary
                                                       ComponentEventResultProcessor primary)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue(String value)
                                  throws IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<String>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.